<div class="app-container" style="background-color: lightblue;"> 
    <button style="width:10%" mat-button (click)="logout()">Logout</button>
    <header class="app-header">
        <div class="user-info">
            <span *ngIf="auth.user$ | async as user">Logged in as: {{ user.nickname }}</span>
        </div>
        <h1 class="app-title">Competitions</h1>
    </header>
    <nav class="nav-container">
      <mat-nav-list>
        <a mat-list-item routerLink="/create-competition">Create Competition</a>
        <a mat-list-item routerLink="/enter-results">Enter Results</a>
        <a mat-list-item routerLink="/view-rankings">View Rankings</a>
      </mat-nav-list>
    </nav>
</div>
